### Hierarchy

- ShellConfig

## Index

### Properties

- execPath
- fatal
- globOptions
- silent
- verbose

### Methods

- reset

## Properties

### execPath

execPath: string | null

- Defined in node_modules/@types/shelljs/index.d.ts:537

Absolute path of the Node binary. Default is null (inferred).

### fatal

fatal: boolean

- Defined in node_modules/@types/shelljs/index.d.ts:522

If true the script will die on errors. Default is false.

### globOptions

globOptions: glob.IOptions

- Defined in node_modules/@types/shelljs/index.d.ts:532

Passed to glob.sync() instead of the default options ({}).

### silent

silent: boolean

- Defined in node_modules/@types/shelljs/index.d.ts:517

Suppresses all command output if true, except for echo() calls. Default is false.

### verbose

verbose: boolean

- Defined in node_modules/@types/shelljs/index.d.ts:527

Will print each executed command to the screen. Default is true.

## Methods

### reset

- reset(): void

- - Defined in node_modules/@types/shelljs/index.d.ts:542

  Reset shell.config to the defaults.

  #### Returns void

Generated using TypeDoc